# Asterisk Project : Asterisk 13 Function_TXTCIDNAME

Created by wikibot on Aug 08, 2014

# TXTCIDNAME()

### Synopsis

TXTCIDNAME looks up a caller name via DNS.

### Description

This function looks up the given phone number in DNS to retrieve the caller id name. The result will either be blank or be the value found in the TXT record in DNS.

### Syntax

    TXTCIDNAME(number,zone-suffix)

##### Arguments

- `number`
- `zone-suffix` - If no zone-suffix is given, the default will be `e164.arpa`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538